PDF Patch – Saurik schließt PDF-Exploit für alle Geräte

Gestern wurde von Apple mit der Firmware iOS 4.0.2 die PDF-Lücke im iPhone Betriebssystem geschlossen, die von jailbreakme.com genutzt wurde um die Geräte einem Jailbreak zu unterziehen. Die neue Firmware steht jedoch nur für iPhone 4, 3GS, 3G sowie für iPod Touch 3G/2G zur Verfügung.

pdffixBesitzer eines iPhone Classic und iPod Touch der ersten Generation gehen hingegen leer aus. Wieder einmal zeigt sich, dass diese beiden Geräte nach Apples Ansicht zum alten Eisen gehören. Zuerst wurde den beiden nur die iOS4 vorenthalten, jetzt verzichtet man aber auch noch auf das Schließen einer bedrohlichen Lücke. Obwohl man über das Gefahrenpotential Bescheid weiß, wird dennoch nichts veröffentlicht und auf Geräte sind für entsprechende Malware geradezu einladend. Diese sind zwar noch nicht in freier Wildbahn aufgetaucht, dies dürfte sich aber sicherlich bald ändern. Wer weiterhin mit seinem „alten“ Gerät sicher surfen will, sollte sich daher nicht auf Apple verlassen

Wie so oft springt nun jedoch die Entwickler von Jailbreak-Apps in die Bresche und beheben die Lücke für alle Geräte. Unter dem Namen PDF Patch hat Saurik nun ein Cydia-Pakte veröffentlicht, welches die Lücke (ganz ohne neue Firmware) behebt. Das Paket steht für alle Gerät und Firmwares (ab 2.2) zur Verfügung und sollte umgehend eingespielt werden.

Ein netter Nebeneffekt für alle iPhone 4/3GS Besitzer ist die Tatsache, dass damit das Upgrade auf iOS 4.0.2 hinfällig wird und man weiterhin auf 4.0.1 bleiben sollte. Einfach nach dem Jailbreak mit Jailbreakme.com das Paket mit Cydia installieren und man hat den „Vorteil“ der iOS 4.0.2 auch ohne Update und Verlust des Jailbreaks.

Twitter Digg Delicious Stumbleupon Technorati Facebook Email

Wenn du in Sachen Jailbreak und Unlock immer auf dem Laufenden bleiben willst, dann kannst du dir den RSS-Feed abonnieren, meinen Tweets auf Twitter folgen oder auch der Facebook FanPage beitreten. Ich freue mich über jeden neuen Follower, Abonnenten und Fan. Wenn ihr Hilfe bei Problemen mit eurem iDevice benötigt, dann könnt ihr außerdem bei uns im iPhone Forum vorbeischauen.

Über RedParkz

Gründer von redparkz.de und langjähriger Apple-Fan. Schreibt am liebsten über Jailbreak und wie man sein iDevice verbessern kann.

11 Kommentare zu “PDF Patch – Saurik schließt PDF-Exploit für alle Geräte”

  1. Geniale Sache – inbesondere „Ein netter Nebeneffekt für alle iPhone 4/3GS Besitzer ist die Tatsache, dass damit kein das Upgrade auf iOS 4.0.2 hinfällig wird und man weiterhin auf 4.0.1 bleiben sollte. Einfach nach dem Jailbreak mit Jailbreakme.com das Paket mit Cydia installieren und man hat den “Vorteil” der iOS 4.0.2 auch ohne Update und Verlust des Jailbreaks.“

    Hooray!

  2. Okay… ich bin extrem frustriert und brauche Hilfe. Ich habe blöderweise 4.0.2 auf meinem 3GS installiert und kann das nicht mehr jailbreaken geschweige denn unlocken. :-( Gibt es denn überhaupt noch eine Möglichkeit iOS 4.0 oder wenigstens 3.1.3 zu jailbreaken? Ich habe alle SHSH-Blobs gesichert. Aber welche Itunes-Version brauche ich zum Beispiel für 3.1.3? Und man muss die Host-Datei ändern. Aber wie nochmal genau? Bin wirklich verwirrt mittlerweile weil es soviele Jailbreakvarianten gibt. Was kann ich tun?
    Bitte redparkz, hilf mir!!!

    • Hi, ich bin zwar kein Experte, aber durch meine vielen Fragen an Redparkz glaube ich, dir helfen zu können.
      Also da du alle SHSH Blobs gesichert hast, kannst du mit der neuesten Version von TinyUmbrella auf 4.0 oder 4.0.1 wiederherstellen und dann ganz normal über jailbreakme.com den JB durchführen und dann über Cydia auch unlocken.
      Ich glaube bei der neuesten Version von TinyUmbrella muss man die Host-Datei nicht mehr manuell ändern.

      Ich hoffe ich habe nichts verwechselt…

      • Für die Aktivierung deines Iphones brauchst du allerdings eine SIM-Karte des Providers, dessen SIM-Lock du hast. Wahrscheinlich T-Mobile.

  3. Hi, vielen Dank schonmal. Die jailbreakme.com Seite geht jedoch irgendwie nicht mehr. :-(

    Kann man denn mit TinyUmbrella den Downgrade durchführen, also sprich irgendeine x-beliebige Firmware installieren (solange man die Blobs hat) oder braucht man dazu Itunes?
    Itunes versucht ja immer auf den Apple-Server zuzugreifen wegen den Blobs. Woher weiß Itunes dass es die Blobs auf meinem Computer nehmen soll?

    Ich hatte es gestern auch schon irgendwie geschafft 4.0.1 zu installieren, jedoch hat das dann mit der jailbreakme.com Seite nicht mehr geklappt :-(
    Und deswegen will ich jetzt wieder 3.1.3 installieren und das dann mit Spirit und ultrasnow unlocken. Dafür brauche ich jedoch auch eine bestimmte Itunes-Version, nur welche? :-(

    Ist alles sehr frustrierend und ich bin für jede Hilfe dankbar!!

  4. Okay… also ich habe es jetzt wenigstens nochmal geschafft 4.0.1 zu installieren. Bei 3.1.3 gabs immer Probleme und ich habe schon gedacht ich müsse alles in die Tonne kloppen :-)

    Also jailbreakme.com geht jetzt wieder? Ganz sicher? Hat es jemand getestet?

  5. Wollte nur nochmal Danke sagen für die Hilfe^^ Hat jetzt alles geklappt und nichts ist in der Tonne gelanden ;-)

  6. wie jetzt wenn ich bei meine iphone 4 das PDF Packet installiere und danach ein update mache auf 4.0.2 bleibt der Jailbreak drauf oder wie ?

    • Steht da da:
      …, dass damit das Upgrade auf iOS 4.0.2 hinfällig wird und man weiterhin auf 4.0.1 bleiben sollte. Einfach nach dem Jailbreak mit Jailbreakme.com das Paket mit Cydia installieren und man hat den “Vorteil” der iOS 4.0.2 auch ohne Update und Verlust des Jailbreaks.

      Also – bei 4.0.1 bleiben und PDF Patch drauf, dann ist es wie 4.0.2

  7. Nein. Der Patch schließt die Lücke so das man nicht auf 4.0.2 gehen muss. Unter 4.0.2 ist der jailbreak nicht möglich und ein update überlebt er auch nicht.

    Grüße aus dem Urlaub
    redparkz

Kommentar hinterlassen

Name (benötigt)

Email (benötigt)

Webseite (optional)